/*
** TleenX2 (Tlen.pl Client)
** Copyright (c) 2002-2003 Hubert Sokoowski <who_ami@tlen.pl>
**                         Pawe Biliski <rael@fr.pl>
**
** This code is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License.
**
*/

#ifndef __JABBER_H__
#define __JABBER_H__

gboolean jabber_logged();
gboolean jabber_created();
void jabber_new();
void jabber_login();
void jabber_logout();
void jabber_free();
void jabber_contact_delete(struct user *user);
void jabber_contact_add(gchar *name, gchar *jid, gchar *group);
void jabber_message(gchar *to, gchar *message, gint type);
void jabber_subscribe_ask(gchar *jid);
void jabber_subscribe_deny(gchar *jid);
void jabber_subscribe_accept(gchar *jid);

#endif



