/*
** TleenX2 (Tlen.pl Client)
** Copyright (c) 2002-2003 Hubert Sokoowski <who_ami@tlen.pl>
**                         Pawe Biliski <rael@fr.pl>
**
** This code is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License.
**
*/


#ifndef __MAIN_H__
#define __MAIN_H__

#include <sys/param.h>
#include <gtk/gtk.h>
#include <libtlen/libtlen.h>

#define MAX_ICONS 9
#define J_MAX_ICONS 7


enum {STATUS_AVAILABLE=0, STATUS_CHATTY, STATUS_DND, STATUS_AWAY,
  STATUS_EXT_AWAY, STATUS_INVISIBLE, STATUS_UNAVAILABLE};

extern GtkWidget
    *window1,
    *window_login,
    *window_profiles,
    *window_profile,
    *window_search,
    *window_message,
    *window_archive,
    *window_prefs,
    *window_card,
    *window_contacts,
    *window_desc,
    *fileselection,
    *colorselection,
    *treeview1,
    *notebook1,
    *scroll1,
    *status_docklet;

extern gchar *pname;//nazwa profilu
extern gchar *desc;//opis
extern struct profile *profile;
extern gint status;
extern gint posx, posy, width, height;
extern gchar *datefg, *nickfg, *textfg, *textbg;
extern gchar *sounds[], *playpath, *smspath;
extern GtkWidget *icons[MAX_ICONS];
extern GtkWidget *j_icons[J_MAX_ICONS];//ikonki jabbera
extern GtkWidget *wp_icons[J_MAX_ICONS];
extern GList *users_list;
extern GList *groups_list;
extern struct tlen_session *session;//sesja tlenu
extern gint timerid, timerid2, timerid3;
extern GList *profiles_list;
extern GList *chat_list;
extern GList *contacts_list;
extern GList *expanders_list;
extern GList *pubdir_list;
extern GList *talks_list;//lista otwartych okienek z rozmowami
extern GList *messages_list;
extern gint chatbuf;
extern gboolean cant_stop;
extern gboolean online, beep;
extern guint32 preferences;//preferencje
extern gchar *job[], *plans[], *opisy[], *statusy[], *j_statusy[];

void clear_pointers();
void clear_lists();



#endif
